Bug 1247145 - Fly-over notifications not shown for copy/rename/delete done via Project Explorer
Fly-over notifications not shown for copy/rename/delete done via Project Expl...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER1
: 6.2.0
Assigned To: manstis
Dominik Hanak
: Regression
Depends On:
Blocks: 1230818 1230825
  Show dependency treegraph
 
Reported: 2015-07-27 08:30 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2228 Minor Resolved Fly-over notifications not shown for copy/rename/delete done via Project Explorer 2015-11-10 04:19 EST

  None (edit)
Description Zuzana Krejčová 2015-07-27 08:30:47 EDT
Description of problem:
If you copy/rename/delete an asset via the menu buttons on top of the asset editor, you get a fly-over notification about the success/failure of that operation. 
The same used to happen for the copy/rename/delete operations done via Project Explorer links (in Repository view of the PE). With 6.1.2, the copy/rename/delete operation itself is successful, but no notification is shown (when done via PE).

(This is new in 6.1.2 but present since CR1.)


Version-Release number of selected component (if applicable):
BP/RMS 6.1.2


Steps to Reproduce:
1. Go to Project Authoring, switch Project Explorer to Repository view.
2. Navigate into some package.
3. Copy/rename/delete an asset via the Project Explorer links/icons (next to the asset link).


Actual results:
Operation is successful, no notification is shown.


Expected results:
Operation is successful, user is notified about the result via a notification.
Comment 2 manstis 2015-07-29 05:00:35 EDT
A fix is in progress (which is very simple); writing tests to check this in the future (and related refactoring to support testing) is taking longer...
Comment 5 JBoss JIRA Server 2015-07-29 18:39:30 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-2228 to Resolved
Comment 6 Dominik Hanak 2015-10-02 03:51:10 EDT
Fly-over notifications are correctly shown in BPMS and BRMS.

Marking as Verified.

Note You need to log in before you can comment on or make changes to this bug.